Skip to main content
GET
/
v1
/
documents
/
{identifier}
/
favorites
List document favoriters
curl --request GET \
  --url https://{instance}.omniapp.co/api/v1/documents/{identifier}/favorites \
  --header 'Authorization: Bearer <token>'
{
  "pageInfo": {
    "hasNextPage": false,
    "nextCursor": null,
    "pageSize": 20,
    "totalRecords": 2
  },
  "records": [
    {
      "userId": "f1c2a3e4-1111-1111-1111-111111111111",
      "name": "Blob Ross",
      "email": "blob.ross@eblobsrus.com",
      "favoritedAt": "2026-04-12T10:14:02.000Z"
    },
    {
      "userId": "f1c2a3e4-2222-2222-2222-222222222222",
      "name": "Blob the Builder",
      "email": "blob.the.builder@blobsrus.com",
      "favoritedAt": "2026-05-01T17:33:21.000Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.omni.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Requires an Organization API Key. Personal Access Tokens (PATs) are not supported for this endpoint.

Include in the Authorization header as: Bearer ORGANIZATION_API_KEY

Path Parameters

identifier
string
required

Document identifier (either document ID or slug).

Query Parameters

cursor
string | null

Page cursor from a previous response's nextCursor. Omit for the first page.

pageSize
integer
default:20

Number of items per page (min 1, max 100).

Required range: 1 <= x <= 100
sortDirection
enum<string>
default:asc

Sort direction by favoritedAt. asc returns oldest favorites first; desc returns newest first.

Available options:
asc,
desc

Response

Successfully retrieved list of users who favorited the document

pageInfo
object
required

Pagination information for paginated responses.

records
object[]
required